component: Tib
metric: zoox::diag::EmptyMetric
namespace: zoox::tib
faults:
  - id: 1
    name: NoConnection
    severity: WARNING
    description: No connection to TIB
    triggers_nogo: false
  - id: 2
    name: NoTimeSync
    severity: WARNING
    description: TIB time is not synced. Check TIB firmware version, network configuration and PTP server.
  - id: 3
    name: ConnectionFailure
    severity: WARNING
    description: Can not connect to TIB status server
  - id: 4
    name: TcpReadingError
    severity: WARNING
    description: Can not read from TIB status server TCP socket
  - id: 5
    name: FaultyPwpMessageSize
    severity: WARNING
    description: Wrong PWP message size decoded
  - id: 6
    name: PwpDecodingError
    severity: WARNING
    description: Fail to decode Pwp message
  - id: 7
    name: TibStatusDecodingError
    severity: WARNING
    description: Fail to decode TibStatus message
  - id: 8
    name: TibStale
    severity: WARNING
    description: No TIB message received in the last 2 seconds.
